# Invoke-RASTenantBroker

### NAME

Invoke-RASTenantBroker\ <br>

### SYNOPSIS

Joins/Unjoins a Tenant Broker.\ <br>

### SYNTAX

Invoke-RASTenantBroker -[HashKey](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Invoke-RASTenantBroker.html#HashKey) *\<string>* -[Join](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Invoke-RASTenantBroker.html#Join) *\<SwitchParameter>* \[-[PublicDomainAddresses](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Invoke-RASTenantBroker.html#PublicDomainAddresses) *\<string>*] \[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Invoke-RASTenantBroker.html#SiteId) *\<uint>*] \[-[TenantBroker](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Invoke-RASTenantBroker.html#TenantBroker) *\<string>*] \[-[TenantName](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Invoke-RASTenantBroker.html#TenantName) *\<string>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Invoke-RASTenantBroker.html#CommonParameters)*>*]\
\
Invoke-RASTenantBroker -[Unjoin](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Invoke-RASTenantBroker.html#Unjoin) *\<SwitchParameter>* \[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Invoke-RASTenantBroker.html#SiteId) *\<uint>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Invoke-RASTenantBroker.html#CommonParameters)*>*]\ <br>

### DESCRIPTION

Joins/Unjoins a Tenant Broker.\ <br>

### PARAMETERS

\
-**SiteId \<uint>**\
Site ID from which to retrieve the Tenant Broker settings (optional).\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Join \<SwitchParameter>**\
Join Tenant Broker SwitchParameter.\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                False
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**HashKey \<string>**\
This can be the Tenant Broker secret key located at Farm | Settings | Tenant Broker, or the Tenant invitation hash created at Farm | Tenants | Add.\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**TenantBroker \<string>**\
The IP or DNS address of the Tenant Broker to join.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**TenantName \<string>**\
The Tenant name. Applicable only if Farms are allowed to register using a secret key.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**PublicDomainAddresses \<string>**\
The accessible name. Applicable only if Farms are allowed to register using a secret key.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Unjoin \<SwitchParameter>**\
Unjoin Tenant Broker SwitchParameter.\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                False
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

-none-

### OUTPUTS

-none-

### EXAMPLES

\
\&#xNAN;**---------- EXAMPLE 1 ----------**\
\
Invoke-RASTenantBroker -Join -HashKey "9A76312E-2EB7-4386-8AAF-180BC1015055" -TenantBroker "TB1"\
\
Joins the Tenant Broker TB1 with the provided hash key.\
\&#xNAN;**---------- EXAMPLE 2 ----------**\
\
Invoke-RASTenantBroker -Join -HashKey "9A76312E-2EB7-4386-8AAF-180BC1541055" -TenantBroker "TB1" -TenantName "tb01"\
\
Joins the Tenant Broker TB1 (tb01) with the provided hash key.\
\&#xNAN;**---------- EXAMPLE 3 ----------**\
\
Invoke-RASTenantBroker -Unjoin\
\
Unjoins the tenant broker.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/invoke-rastenantbroker.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
